import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type, IList$1 } from "igniteui-react-core";
import { FinancialEventArgs } from "./FinancialEventArgs";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class CustomIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected bi(): Series;
    protected get_abm(): IndicatorCalculationStrategy;
    protected get abm(): IndicatorCalculationStrategy;
    protected get_abz(): Type;
    protected get abz(): Type;
    protected aay(a: number, b: number): IList$1<string>;
    private ab8;
    get indicator(): (sender: any, e: FinancialEventArgs) => void;
    set indicator(a: (sender: any, e: FinancialEventArgs) => void);
    private ab7;
    get basedOnColumns(): (sender: any, e: FinancialEventArgs) => void;
    set basedOnColumns(a: (sender: any, e: FinancialEventArgs) => void);
    protected aav(a: number, b: number): boolean;
}
